rte_eth_event_ipsec_desc(3)

NAME
rte_eth_event_ipsec_desc

SYNOPSIS

#include <rte_ethdev.h>

  Data Fields

enum rte_eth_event_ipsec_subtype subtype
uint64_t metadata

Detailed Description

Descriptor for RTE_ETH_EVENT_IPSEC event. Used by eth dev to send extra information of the IPsec offload event.

Definition at line 4175 of file rte_ethdev.h.

Field Documentation

  enum rte_eth_event_ipsec_subtype subtype
Type of RTE_ETH_EVENT_IPSEC_* event

Definition at line 4177 of file rte_ethdev.h.

  uint64_t metadata
Event specific metadata.

For the following events, userdata registered with the rte_security_session would be returned as metadata,

•   RTE_ETH_EVENT_IPSEC_ESN_OVERFLOW

•   RTE_ETH_EVENT_IPSEC_SA_TIME_EXPIRY

•   RTE_ETH_EVENT_IPSEC_SA_BYTE_EXPIRY

•   RTE_ETH_EVENT_IPSEC_SA_PKT_EXPIRY

•   RTE_ETH_EVENT_IPSEC_SA_BYTE_HARD_EXPIRY

•   RTE_ETH_EVENT_IPSEC_SA_PKT_HARD_EXPIRY

See also
    struct rte_security_session_conf

Definition at line 4195 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.